API Reference
List API keys
List your active Standard API keys in the current account.
List your active Standard API keys in the current account.
Endpoint
- Base URL
https://runapi.ai- API version
v1- Authentication
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
JSON bodyRequest
Send values only in the listed request location.
Query parameters2 fields
limitinteger
Optional
Maximum API keys returned per page.
Default:20
Range: 1 - 100
pageinteger
Optional
Offset page number. Values start at 1.
Default:1
Bound: 1
03
HTTP 200Success response
GET /api/v1/keys
JSON
{
"keys": [
{
"allowed_models": [
"gpt-5.4"
],
"created_at": "2026-07-27T10:00:00.000Z",
"credit_limit_cents": 1000,
"credit_limit_reset_interval": "daily",
"credit_limit_windows": {
"1d": {
"limit_cents": 500
},
"1h": {
"limit_cents": 100
},
"7d": {
"limit_cents": 2000
}
},
"enabled": true,
"guardrail_id": "guardrail_123",
"id": "token_123",
"last_used_at": null,
"masked_token": "runapi_abc...wxyz",
"name": "Production"
}
],
"pagination": {
"limit": 20,
"page": 1,
"pages": 1,
"total": 1
}
}
04
HTTP 401Error response (401)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Authentication required"
}
05
HTTP 403Error response (403)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Management API key required"
}
06
HTTP 403Error response (403)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Account admin required"
}
07
HTTP 400Error response (400)
Response schema
JSON
{
"oneOf": [
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Human-readable validation summary.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Response example
JSON
{
"error": "page must be an integer"
}
08
cURL example
CURL
curl -X GET https://runapi.ai/api/v1/keys?page=1&limit=20 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'